[build] Move unwinder to toplevel libgcc (v2)

Paolo Bonzini bonzini@gnu.org
Fri Aug 5 19:49:00 GMT 2011


On Fri, Aug 5, 2011 at 20:18, Mikael Morin <mikael.morin@sfr.fr> wrote:
> I suppose it is this patch that breaks bootstrap on 86_64-unknown-freebsd8.2:
> /home/mik/gcc4x/src/gcc/crtstuff.c:64:28: fatal error: unwind-dw2-fde.h: No
> such file or directory
>
> Fixed by the the following pat^Whack
> Index: crtstuff.c
> ===================================================================
> --- crtstuff.c  (révision 177469)
> +++ crtstuff.c  (copie de travail)
> @@ -61,7 +61,7 @@
>  #include "tsystem.h"
>  #include "coretypes.h"
>  #include "tm.h"
> -#include "unwind-dw2-fde.h"
> +#include "../libgcc/unwind-dw2-fde.h"
>
>  #ifndef FORCE_CODE_SECTION_ALIGN
>  # define FORCE_CODE_SECTION_ALIGN
>
> There is probably something better, but I have no clue.

Adding a -I flag?  I suppose that makes sense even if crtstuff is
moved soon to toplevel libgcc.

Paolo



More information about the Libstdc++ mailing list